[AlarmDatabase]
;----------------------------- Main SQL database settings
WriteDataToDb=1
WriteJobFiles=1
JobFilePath=\nvt\nvawdir\sqljob
UseODBC=0
UseSqlLiteDb=0
UseAlarmRange=0
UseAlarmInRange=0
MaxRetriesOnError=3
StartAlarmOnCriticalError=9840
SleepMinAfterError=60

;Current database SQL server
DatabaseServer=PostgreSQL

;Postgres ID sequence value generator command 
IdSequenceGenerator=NEXTVAL('<TABLE>_id_seq')


;----------------------------- Username and password for database connection
Username=postgres
Password=nvmnvm	


;----------------------------- Database names for DSN
DBAlarmData=nv_alarm
DBAlarmExec=nv_alarm
DBAlarmMultimedia=nv_alarm_multimedia
DBEvents=nv_event
DBConference=nv_conference

;----------------------------- Table names
AlarmTable=alarm_data
StatusTable=alarm_status
EscalTable=alarm_escalation
IncomingTable=incoming_data

ExecTable=execute_data
MultimediaTable=multimedia_data

EventTable=event_data

;----------------------------- Messaenger Tables
MessengerTable=messenger_data
MessengerStatusTable=messenger_status
MessengerEscalTable=messenger_escalation
MessengerExecTable=messenger_execute_data

;----------------------------- Conference Tables
ConferenceTable=conference_data
ConferenceExecTable=conference_execute_data
ConferenceViewTable=live_view_data


;----------------------------- Move to monthly DB and Delete functions
CopyToMonthlyDBAfterDays=30
DeleteRecordsAfterDays=720
DeleteMessengerRecordsAfterDays=60


;Move records to montly db (only with Firebird). Set to -1 to deactivate
MoveAtHour=-1

;Delete old records at hour
DeleteAtHour=3


;----------------------------- Number of replications on other servers (DSN's)
Replications=0
AutoErrorRepostAtHour=3


;----------------------------- Database replication settings
[Replication]
;Replication number to ip address mapping
;1=<ip_address>


;----------------------------- Localisation Database settings
[LocalisationDatabase]
;Delete records from last location position table if older then x days
DeleteLastLocationPositionsAfterDays=7


;----------------------------- Alarm and Alarm-in range
[SqlAlarmActivation]
RangeFromAlarm=10
RangeToAlarm=9999
;7001=1

[SqlAlarmInActivation]
RangeFromAlarmIn=10
RangeToAlarmIn=9999
;1001=1


;----------------------------- Windows event viewer
[WriteEventsToApplLog]
Active=0
WriteEventForLevel0=1
WriteEventForLevel1=1
WriteEventForLevel2=1
WriteEventForLevel3=1
WriteEventForLevel4=1
WriteEventForLevel5=1
WriteEventForLevel6=1
WriteEventForLevel7=1
WriteEventForLevel8=1
WriteEventForLevel9=1
[FailedCounter]
nv_event=0
nv_alarm=18
